SampleSaveConfiguration (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.samplers, class: SampleSaveConfiguration

Package org.apache.jmeter.samplers

# Class SampleSaveConfiguration

java.lang.Object
org.apache.jmeter.samplers.SampleSaveConfiguration

All Implemented Interfaces:
  `Serializable`, `Cloneable`

public class SampleSaveConfiguration extends Object implements Cloneable, Serializable
Holds details of which sample attributes to save. The pop-up dialogue for this is created by the class SavePropertyDialog, which assumes:

For each field XXX

- methods have the signature "boolean saveXXX()"
- a corresponding "void setXXX(boolean)" method
- messages.properties contains the key save_XXX

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ASSERTION_RESULTS_FAILURE_MESSAGE_PROP`
  The name of the property indicating which assertion results should be saved.
  `static final String`
  `DEFAULT_DELIMITER`
  `static final String`
  `DEFAULT_DELIMITER_PROP`
  The name of the property indicating which delimiter should be used when saving in a delimited values format.
  `static final String`
  `MILLISECONDS`
  A properties file indicator for milliseconds.
  `static final String`
  `NONE`
  A properties file indicator for none.
  `static final int`
  `SAVE_ALL_ASSERTIONS`
  `static final List<String>`
  `SAVE_CONFIG_NAMES`
  List of saveXXX/setXXX(boolean) methods which is used to build the Sample Result Save Configuration dialog.
  `static final int`
  `SAVE_FIRST_ASSERTION`
  `static final int`
  `SAVE_NO_ASSERTIONS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SampleSaveConfiguration()`
  `SampleSaveConfiguration(boolean value)`
  Alternate constructor for use by CsvSaveService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `assertionsResultsToSave()`
  `Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  `String`
  `getDelimiter()`
  `static final String`
  `getterName(String configName)`
  Convert a config name to the method name of the getter.
  `int`
  `getVarCount()`
  `String`
  `getXmlPi()`
  `int`
  `hashCode()`
  `boolean`
  `printMilliseconds()`
  `boolean`
  `saveAssertionResultsFailureMessage()`
  `boolean`
  `saveAssertions()`
  `boolean`
  `saveAsXml()`
  `boolean`
  `saveBytes()`
  `boolean`
  `saveCode()`
  `boolean`
  `saveConnectTime()`
  `boolean`
  `saveDataType()`
  `boolean`
  `saveEncoding()`
  `boolean`
  `saveFieldNames()`
  `boolean`
  `saveFileName()`
  `boolean`
  `saveHostname()`
  `boolean`
  `saveIdleTime()`
  `boolean`
  `saveLabel()`
  `boolean`
  `saveLatency()`
  `boolean`
  `saveMessage()`
  `boolean`
  `saveRequestHeaders()`
  `boolean`
  `saveResponseData()`
  `boolean`
  `saveResponseData(SampleResult res)`
  `boolean`
  `saveResponseHeaders()`
  `boolean`
  `saveSampleCount()`
  `boolean`
  `saveSamplerData()`
  `boolean`
  `saveSamplerData(SampleResult res)`
  `boolean`
  `saveSentBytes()`
  `boolean`
  `saveSubresults()`
  `boolean`
  `saveSuccess()`
  `boolean`
  `saveThreadCounts()`
  `boolean`
  `saveThreadName()`
  `boolean`
  `saveTime()`
  `boolean`
  `saveTimestamp()`
  `boolean`
  `saveUrl()`
  `void`
  `setAssertionResultsFailureMessage(boolean b)`
  `void`
  `setAssertions(boolean assertions)`
  `void`
  `setAsXml(boolean xml)`
  `void`
  `setBytes(boolean save)`
  `void`
  `setCode(boolean code)`
  `void`
  `setConnectTime(boolean connectTime)`
  `void`
  `setDataType(boolean dataType)`
  `void`
  `setDateFormat(String fmt)`
  Intended for use by CsvSaveService (and test cases)
  `void`
  `setDefaultDelimiter()`
  `void`
  `setDefaultTimeStampFormat()`
  `void`
  `setDelimiter(String delim)`
  `void`
  `setEncoding(boolean encoding)`
  `void`
  `setFieldNames(boolean printFieldNames)`
  `void`
  `setFileName(boolean save)`
  `void`
  `setHostname(boolean save)`
  `void`
  `setIdleTime(boolean save)`
  `void`
  `setLabel(boolean label)`
  `void`
  `setLatency(boolean latency)`
  `void`
  `setMessage(boolean message)`
  `void`
  `setRequestHeaders(boolean r)`
  `void`
  `setResponseData(boolean responseData)`
  `void`
  `setResponseHeaders(boolean r)`
  `void`
  `setSampleCount(boolean save)`
  `void`
  `setSamplerData(boolean samplerData)`
  `void`
  `setSentBytes(boolean save)`
  `void`
  `setSubresults(boolean subresults)`
  `void`
  `setSuccess(boolean success)`
  `static final String`
  `setterName(String configName)`
  Convert a config name to the method name of the setter The setter method requires a boolean parameter.
  `void`
  `setThreadCounts(boolean save)`
  `void`
  `setThreadName(boolean threadName)`
  `void`
  `setTime(boolean time)`
  `void`
  `setTimestamp(boolean timestamp)`
  `void`
  `setUrl(boolean save)`
  `void`
  `setVarCount(int varCount)`
  `static SampleSaveConfiguration`
  `staticConfig()`
  `DateFormat`
  `strictDateFormatter()`
  `org.apache.commons.lang3.time.FastDateFormat`
  `threadSafeLenientFormatter()`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MILLISECONDS

    public static final String MILLISECONDS
    A properties file indicator for milliseconds. *
    See Also:
      - Constant Field Values

  - ### NONE

    public static final String NONE
    A properties file indicator for none. *
    See Also:
      - Constant Field Values

  - ### ASSERTION_RESULTS_FAILURE_MESSAGE_PROP

    public static final String ASSERTION_RESULTS_FAILURE_MESSAGE_PROP
    The name of the property indicating which assertion results should be saved.
    See Also:
      - Constant Field Values

  - ### DEFAULT_DELIMITER_PROP

    public static final String DEFAULT_DELIMITER_PROP
    The name of the property indicating which delimiter should be used when saving in a delimited values format.
    See Also:
      - Constant Field Values

  - ### SAVE_NO_ASSERTIONS

    public static final int SAVE_NO_ASSERTIONS
    See Also:
      - Constant Field Values

  - ### SAVE_FIRST_ASSERTION

    public static final int SAVE_FIRST_ASSERTION
    See Also:
      - Constant Field Values

  - ### SAVE_ALL_ASSERTIONS

    public static final int SAVE_ALL_ASSERTIONS
    See Also:
      - Constant Field Values

  - ### DEFAULT_DELIMITER

    public static final String DEFAULT_DELIMITER
    See Also:
      - Constant Field Values

  - ### SAVE_CONFIG_NAMES

    public static final List<String> SAVE_CONFIG_NAMES
    List of saveXXX/setXXX(boolean) methods which is used to build the Sample Result Save Configuration dialog. New method names should be added at the end so that existing layouts are not affected.

- ## Constructor Details

  - ### SampleSaveConfiguration

    public SampleSaveConfiguration()

  - ### SampleSaveConfiguration

    public SampleSaveConfiguration(boolean value)
    Alternate constructor for use by CsvSaveService
    Parameters:
      `value` - initial setting for boolean fields used in Config dialogue

- ## Method Details

  - ### getVarCount

    public int getVarCount()

  - ### setVarCount

    public void setVarCount(int varCount)

  - ### staticConfig

    public static SampleSaveConfiguration staticConfig()

  - ### getterName

    public static final String getterName(String configName)
    Convert a config name to the method name of the getter. The getter method returns a boolean.
    Parameters:
      `configName` - the config name
    Returns:
      the getter method name

  - ### setterName

    public static final String setterName(String configName)
    Convert a config name to the method name of the setter The setter method requires a boolean parameter.
    Parameters:
      `configName` - the config name
    Returns:
      the setter method name

  - ### clone

    public Object clone()
    Overrides:
      `clone` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### saveResponseHeaders

    public boolean saveResponseHeaders()

  - ### setResponseHeaders

    public void setResponseHeaders(boolean r)

  - ### saveRequestHeaders

    public boolean saveRequestHeaders()

  - ### setRequestHeaders

    public void setRequestHeaders(boolean r)

  - ### saveAssertions

    public boolean saveAssertions()

  - ### setAssertions

    public void setAssertions(boolean assertions)

  - ### saveCode

    public boolean saveCode()

  - ### setCode

    public void setCode(boolean code)

  - ### saveDataType

    public boolean saveDataType()

  - ### setDataType

    public void setDataType(boolean dataType)

  - ### saveEncoding

    public boolean saveEncoding()

  - ### setEncoding

    public void setEncoding(boolean encoding)

  - ### saveLabel

    public boolean saveLabel()

  - ### setLabel

    public void setLabel(boolean label)

  - ### saveLatency

    public boolean saveLatency()

  - ### setLatency

    public void setLatency(boolean latency)

  - ### saveConnectTime

    public boolean saveConnectTime()

  - ### setConnectTime

    public void setConnectTime(boolean connectTime)

  - ### saveMessage

    public boolean saveMessage()

  - ### setMessage

    public void setMessage(boolean message)

  - ### saveResponseData

    public boolean saveResponseData(SampleResult res)

  - ### saveResponseData

    public boolean saveResponseData()

  - ### setResponseData

    public void setResponseData(boolean responseData)

  - ### saveSamplerData

    public boolean saveSamplerData(SampleResult res)

  - ### saveSamplerData

    public boolean saveSamplerData()

  - ### setSamplerData

    public void setSamplerData(boolean samplerData)

  - ### saveSubresults

    public boolean saveSubresults()

  - ### setSubresults

    public void setSubresults(boolean subresults)

  - ### saveSuccess

    public boolean saveSuccess()

  - ### setSuccess

    public void setSuccess(boolean success)

  - ### saveThreadName

    public boolean saveThreadName()

  - ### setThreadName

    public void setThreadName(boolean threadName)

  - ### saveTime

    public boolean saveTime()

  - ### setTime

    public void setTime(boolean time)

  - ### saveTimestamp

    public boolean saveTimestamp()

  - ### setTimestamp

    public void setTimestamp(boolean timestamp)

  - ### saveAsXml

    public boolean saveAsXml()

  - ### setAsXml

    public void setAsXml(boolean xml)

  - ### saveFieldNames

    public boolean saveFieldNames()

  - ### setFieldNames

    public void setFieldNames(boolean printFieldNames)

  - ### saveUrl

    public boolean saveUrl()

  - ### setUrl

    public void setUrl(boolean save)

  - ### saveBytes

    public boolean saveBytes()

  - ### setBytes

    public void setBytes(boolean save)

  - ### saveSentBytes

    public boolean saveSentBytes()

  - ### setSentBytes

    public void setSentBytes(boolean save)

  - ### saveFileName

    public boolean saveFileName()

  - ### setFileName

    public void setFileName(boolean save)

  - ### saveAssertionResultsFailureMessage

    public boolean saveAssertionResultsFailureMessage()

  - ### setAssertionResultsFailureMessage

    public void setAssertionResultsFailureMessage(boolean b)

  - ### saveThreadCounts

    public boolean saveThreadCounts()

  - ### setThreadCounts

    public void setThreadCounts(boolean save)

  - ### saveSampleCount

    public boolean saveSampleCount()

  - ### setSampleCount

    public void setSampleCount(boolean save)

  - ### setDateFormat

    public void setDateFormat(String fmt)
    Intended for use by CsvSaveService (and test cases)
    Parameters:
      `fmt` - format of the date to be saved. If `null` milliseconds since epoch will be printed

  - ### printMilliseconds

    public boolean printMilliseconds()

  - ### strictDateFormatter

    public DateFormat strictDateFormatter()
    Returns:
      `DateFormat` non lenient

  - ### threadSafeLenientFormatter

    public org.apache.commons.lang3.time.FastDateFormat threadSafeLenientFormatter()
    Returns:
      `FastDateFormat` Thread safe lenient formatter

  - ### assertionsResultsToSave

    public int assertionsResultsToSave()

  - ### getDelimiter

    public String getDelimiter()

  - ### getXmlPi

    public String getXmlPi()

  - ### setDelimiter

    public void setDelimiter(String delim)

  - ### setDefaultDelimiter

    public void setDefaultDelimiter()

  - ### setDefaultTimeStampFormat

    public void setDefaultTimeStampFormat()

  - ### saveHostname

    public boolean saveHostname()

  - ### setHostname

    public void setHostname(boolean save)

  - ### saveIdleTime

    public boolean saveIdleTime()

  - ### setIdleTime

    public void setIdleTime(boolean save)